/******************************************************************************
*
* Project             Wlan Sample Application
* File                HttpServer.Interface.cpp
* Description         Implementation of DHCP Server Interface
*
* This file contains proprietary information of
* Clarinox Technologies Proprietary Limited.
* Copying or reproduction without prior written approval is prohibited.
*
* All rights reserved (C) Copyright Clarinox Technologies Pty Ltd 2001-2015
*
*******************************************************************************/


#include "ClxBsp.h"
#include "lwip/udp.h"

#ifdef __cplusplus
extern "C" {
#endif


ClxResult DhcpInterface_init (ClxDhcpDataBspInterface* this_, ClxDhcpOptionData& reqDhcpOptions)
{
    //set the IP address of this DHCP server.
    reqDhcpOptions.setOurIP(IP_ADDR0,IP_ADDR1,IP_ADDR2,IP_ADDR3);
  
    return CLX_SUCCESS;
}

void DhcpInterface_destroy (ClxDhcpDataBspInterface* this_)
{
}

u4 DhcpInterface_newRequest (ClxDhcpDataBspInterface* this_)
{
}

void DhcpInterface_dataRequired (ClxDhcpDataBspInterface* this_)
{
}

u4 DhcpInterface_dataReceived (ClxDhcpDataBspInterface* this_)
{
    return 0;
}

void DhcpInterface_requestComplete (ClxDhcpDataBspInterface* this_) 
{
}

ClxDhcpDataBspInterface DhcpInterface = {DhcpInterface_init,
                                        DhcpInterface_destroy,
                                        DhcpInterface_newRequest,
                                        DhcpInterface_dataRequired,
                                        DhcpInterface_dataReceived,
                                        DhcpInterface_requestComplete};


#ifdef __cplusplus
}
#endif


