/**

  */

#ifndef __LWIPNETCONFIG_H
#define __LWIPNETCONFIG_H

#ifdef __cplusplus
 extern "C" {
#endif

#define USE_HTTP_SERVER
   
/* UserID and Password definition *********************************************/
#define USERID       "clarinox"
#define PASSWORD     "koala"
#define LOGIN_SIZE   (15+ sizeof(USERID) + sizeof(PASSWORD))

#define USE_DHCP_CLIENT       /* enable DHCP client, if disabled static address is used */

/* Static IP Address definition ***********************************************/
#define IP_ADDR0   192
#define IP_ADDR1   168
#define IP_ADDR2   1
#define IP_ADDR3   243
   
/* NETMASK definition *********************************************************/
#define NETMASK_ADDR0   255
#define NETMASK_ADDR1   255
#define NETMASK_ADDR2   255
#define NETMASK_ADDR3   0

/* Gateway Address definition *************************************************/
#define GW_ADDR0   192
#define GW_ADDR1   168
#define GW_ADDR2   1
#define GW_ADDR3   1  
 
#include <stdint.h>
void Init_LWIP(void);
void Periodic_LWIP_Process(/*__IO*/ uint32_t localtime);

#ifdef __cplusplus
}
#endif

#endif /* __LWIPNETCONFIG_H */


/*****END OF FILE****/

