#ifndef __CAMERA_H
#define __CAMERA_H


#include "string.h"
#include "stdio.h"
#include "stdbool.h"
#include "camera_api.h"

#include "dcmi_ov2640.h"
#include "dcmi_ov9655.h"
#include "resolution.h"
#include "system_stm32f4xx.h"


#define     PLL_M   24
#define     PLL_N   336
#define     PLL_P   2 
#define     PLL_Q   7
#define     TRUE    1
#define     FALSE   0


void Camera_Setup(void);
void Clock_Setup(void);





#endif //__CAMERA_H
