#ifndef __Bsp_H__
#define __Bsp_H__

/******************************************************************************
*
* Project             ClarinoxSoftFrame
* File                Bsp.Const.h
* Description         This file includes Bsp related functions and variables definitions.
*
* This file contains proprietary information of
* Clarinox Technologies Proprietary Limited.
* Copying or reproduction without prior written approval is prohibited.
*
* All rights reserved (C) Copyright Clarinox Technologies Pty Ltd 2001-2014
*
*******************************************************************************/


#define MEMORY_PAGE_SIZE                                    4096                // bytes (cannot be less than 4096 bytes
#define SDIO_BUFFER_SIZE                                    1024                // bytes. Used to send and receive non-data information to and from the WL18xx chip
#define TX_RX_BUFFER_SIZE_IN_MEMORY_PAGE_UNIT               2                   // 2 contiguous memory pages, equals 2*4096=8192 bytes per buffer
#define NUMBER_OF_TX_BUFFERS                                4                   // each buffer is 1640 bytes


#endif // __Bsp_H__
