//image resolutions Header

#ifndef __RESOLUTIONS_H
#define __RESOLUTIONS_H

//details for all images
#define COLOR_BPP          16
#define COLOR_STORAGE_SIZE 2

//micrium logo details
#define MIC_WIDTH           160
#define MIC_HEIGHT          76

//express logic logo
#define EXPR_WIDTH           220
#define EXPR_HEIGHT          36

//clx Logo
#define CLX_WIDTH           188
#define CLX_HEIGHT          92


//threadX logo
#define THREADX_BMPWIDTH           160
#define THREADX_BMPHEIGHT          24


// ti logo
#define TI_BMPWIDTH           320 //144
#define TI_BMPHEIGHT          240 //120

//declarations of images
extern const unsigned short expressLogo[];
extern const unsigned short ClarinoxLogo[];
extern const unsigned short micriumLogo[];
extern const unsigned short ThreadXLogo[];
extern const unsigned short ti_image16[];

//draw function
void draw(uint16_t width, uint16_t height, const unsigned short *Picture);

//array indexes
#define MICRIUM_LOGO_INDEX 0
//#define EXPRESS_LOGO_INDEX 1
#define CLX_LOGO_INDEX 1

//total number of images
#define MAX_IMAGES 2

#endif
